Bug 1865744 (CVE-2020-14349) - CVE-2020-14349 postgresql: Uncontrolled search path element in logical replication
Summary: CVE-2020-14349 postgresql: Uncontrolled search path element in logical replic...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14349
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1867076 1867077 1867078 1867079 1867509 1868662 1868663 1868665 1868667 1877200 1881779 1867508 1872153
Blocks: 1865747
TreeView+ depends on / blocked
 
Reported: 2020-08-04 03:48 UTC by Dhananjay Arunesh
Modified: 2020-09-23 04:25 UTC (History)
91 users (show)

Fixed In Version: postgresql 12.4, postgresql 11.9, postgresql 10.14
Doc Type: If docs needed, set a value
Doc Text:
It was found that PostgreSQL did not properly sanitize the search_path during logical replication. An authenticated attacker could use this flaw in an attack similar to CVE-2018-1058, in order to execute arbitrary SQL command in the context of the user used for replication.
Clone Of:
Environment:
Last Closed: 2020-09-08 13:19:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3669 None None None 2020-09-08 09:49:46 UTC

Description Dhananjay Arunesh 2020-08-04 03:48:13 UTC
The PostgreSQL search_path setting determines schemas searched for tables, functions, operators, etc.  The CVE-2018-1058 fix caused most PostgreSQL-provided client applications to sanitize search_path, but logical replication continued to leave search_path unchanged.  Users of a replication publisher or subscriber database can create objects in the "public" schema and harness them to execute arbitrary SQL functions under the identity running replication, often a superuser.  Installations having adopted a documented "secure schema usage pattern" are not vulnerable.

Comment 7 Marian Rehak 2020-08-13 12:29:52 UTC
Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1868662]


Created postgresql:10/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1868663]


Created postgresql:11/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1868665]


Created postgresql:12/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1868667]

Comment 10 Hardik Vyas 2020-09-08 08:07:43 UTC
Statement:

In Red Hat Gluster Storage 3, PostgreSQL was shipped as a part of Red Hat Gluster Storage Console that is no longer supported for use with Red Hat Gluster Storage 3.5. Red Hat Gluster Storage Web Administration is now the recommended monitoring tool for Red Hat Storage Gluster clusters.

Comment 11 errata-xmlrpc 2020-09-08 09:49:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3669 https://access.redhat.com/errata/RHSA-2020:3669

Comment 12 Product Security DevOps Team 2020-09-08 13:19:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14349


Note You need to log in before you can comment on or make changes to this bug.